INTERFACE
SUBROUTINE SPEC_CONCAT(YDSP1,YDSP2,YDSPOUT)
USE SPECTRAL_FIELDS_MOD
TYPE(SPECTRAL_FIELD), INTENT(IN) :: YDSP1
TYPE(SPECTRAL_FIELD), INTENT(IN) :: YDSP2
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPOUT
END SUBROUTINE SPEC_CONCAT
END INTERFACE
